package cz.cvut.fel.pjv;

public abstract class World implements WorldInterface {

    private final String[] fields;

    public World() {
        fields = initFields();
    }

    protected abstract String[] initFields();

    @Override
    public final String[] getFields() {
        String[] readFields = new String[fields.length];
        System.arraycopy(fields, 0, readFields, 0, fields.length);
        return readFields;
    }

    @Override
    public final Bet doStep(Participant player) {
        return player.doStep(this);
    }

}
